import PlaceableTab from "./placeable-tab.mjs";

/**
 * The AmbientSound-specific placeables tab.
 * @extends {PlaceableTab}
 */
export default class AmbientSoundTab extends PlaceableTab {
  /** @inheritDoc */
  _applyFilters() {
    super._applyFilters();
    if ( !canvas.activeLayer || !canvas.scene ) return;
    this.layer.placeables.forEach(p => p.initializeSoundSource());
  }
}
